<?php

function ecards_settings_box() {

  if( function_exists( 'add_meta_box' )) {
    add_meta_box( 'ecards_post_box', 'ECards Settings', 'ecards_meta_box', 'post', 'advanced', 'high' );
    add_meta_box( 'ecards_page_box', 'ECards Settings', 'ecards_meta_box', 'page', 'advanced', 'high' );
  }
}


function ecards_meta_box() {
	global $post;
	$pid = $post->ID;

	global $wpdb;
	$tbl_settings = $wpdb->prefix . "ecards_settings";
	$tbl_post_settings = $wpdb->prefix . "ecards_post_settings";

	$serialsettings = $wpdb->get_var("SELECT settings from $tbl_post_settings WHERE pid = '$pid'");

	//$serialsettings = get_post_meta($pid, 'ecardsSettings', true );
	//print_r($serialsettings); die; 

	if ($serialsettings == null) {
		$width = $wpdb->get_var("SELECT value from $tbl_settings WHERE name = 'width'");
		$height = $wpdb->get_var("SELECT value from $tbl_settings WHERE name = 'height'");
		$feed = $wpdb->get_var("SELECT value from $tbl_settings WHERE name = 'feed'");
		//$embedcode = $wpdb->get_var("SELECT value from $tbl_settings WHERE name = 'embedcode'");
		//$ecard = $wpdb->get_var("SELECT value from $tbl_settings WHERE name = 'ecard'");
		//$confirm = $wpdb->get_var("SELECT value from $tbl_settings WHERE name = 'confirm'");
		$message = stripslashes(stripslashes($wpdb->get_var("SELECT value from $tbl_settings WHERE name = 'message'")));
		$confirmmessage = stripslashes(stripslashes($wpdb->get_var("SELECT value from $tbl_settings WHERE name = 'confirmmessage'")));
		$recipients = $wpdb->get_var("SELECT value from $tbl_settings WHERE name = 'recipients'");
		$requirefrom = $wpdb->get_var("SELECT value from $tbl_settings WHERE name = 'requirefrom'");
		$validatefrom = $wpdb->get_var("SELECT value from $tbl_settings WHERE name = 'validatefrom'");
		$defaultfrom = $wpdb->get_var("SELECT value from $tbl_settings WHERE name = 'from'");
		$domain = $wpdb->get_var("SELECT value from $tbl_settings WHERE name = 'domain'");
		$subject = stripslashes(stripslashes($wpdb->get_var("SELECT value from $tbl_settings WHERE name = 'subject'")));
	} else {
		//echo "\$serialsettings: $serialsettings <br />";
		$settings = unserialize($serialsettings);
		$width = $settings['width'];
		$height = $settings['height'];
		$feed = $settings['feed'];
		//$embedcode = $settings['embedcode'];
		//$ecard = $settings['ecard'];
		//$confirm = $settings['confirm'];
		$message = stripslashes(stripslashes($settings['message']));
		$confirmmessage = stripslashes(stripslashes($settings['confirmmessage']));
		$recipients = $settings['recipients'];
		$requirefrom = $settings['requirefrom'];
		$validatefrom = $settings['validatefrom'];
		$defaultfrom = $settings['from'];
		$domain = $settings['domain'];
		$subject = stripslashes(stripslashes($settings['subject']));
		/*
		$settings_pre = $serialsettings;
		//$settings_pre = stripslashes($serialsettings);
		//$settings = unserialize($settings_pre);
		$settings = explode('"', $settings_pre);
		//$width = $settings['width'];
		$width = $settings[0];
		//$height = $settings['height'];
		$height = $settings[1];
		//$feed = $settings['feed'];
		$feed = $settings[2];
		//$embedcode = $settings['embedcode'];
		$embedcode = $settings[3];
		//$ecard = $settings['ecard'];
		$ecard = $settings[4];
		//$confirm = $settings['confirm'];
		$confirm = $settings[5];
		//$message = $settings['message'];
		$message = $settings[6];
		//$recipients = $settings['recipients'];
		$recipients = $settings[7];
		//$requirefrom = $settings['requirefrom'];
		$requirefrom = $settings[8];
		//$validatefrom = $settings['validatefrom'];
		$validatefrom = $settings[9];
		//$defaultfrom = $settings['from'];
		$defaultfrom = $settings[10];
		//$domain = $settings['domain'];
		$domain = $settings[11];
		//$subject = $settings['subject'];
		$subject = $settings[12];
		 */
	}
?>
<div class="wrap">   
	<h2>ZetaPrints ECards Configuration</h2>
<!--?php
 echo "<pre> $serialsettings </pre>"; 
 echo "<br /> "; 
 foreach ($settings as $key=>$row) { echo "$key , $row <br />"; } 
?!-->
	<p>This plugin uses <a href="http://www.zetaprints.com" target="_blank" title="About ZetaPrints">ZetaPrints</a> templates. Templates are processed by <a href="http://www.zetaprints.com/help/dynamic-image-generation-api/" target="_blank" title="Image generation API">ZetaPrints back end</a>. You only need to copy and paste data feeds for <a href="http://zetaprints.com" target="_blank" title="Find card templates">templates you like</a> in the text box below. You can <a href="http://www.zetaprints.com/help/" target="_blank">create and upload</a> your own e-card templates to use with this plugin.</p>
	<p><b>Insert shotcode [zp-e-cards] into a post where you want the plugin to appear.</b></p>
	<!--p!--><!--div class="submit"!-->
		<!--input type="hidden" id="pid" name="pid" value="<?php //echo $post->ID ?>" /-->
		<!--input type="button" name="ecards_clk" value="Update Embed Code Box" style="font-weight:bold;" onClick="ecards_click( this.form.pid.value, this.form.width.value, this.form.height.value, this.form.feed.value, this.form.embedcode.value, this.form.message.value, this.form.recipients.value, this.form.requirefrom.value, this.form.validatefrom.value, this.form.from.value, this.form.domain.value, this.form.subject.value )" /-->
		<!--input type="button" name="ecards_clk" value="Update Embed Code Box" style="font-weight:bold;" onClick="javascript:void(0)" /!-->
	<!--/div!--><!--/p!-->

	<fieldset class="options">
	<table>
		<tr>
			<td><p><strong>Width</strong></td>
			<td><input class="f11" name="width" id="width" size="8" value="<?php echo $width;?>"><em></em></p></td>
		</tr>
		<tr>
			<td><p><strong>Height</strong></td>
			<td><input class="f11" name="height" id="height" size="8" value="<?php echo $height;?>"><em></em></p></td>
		</tr>
		<tr>
			<td><p><strong>Feed</strong></td>
			<td><input class="f11" name="feed" id="feed" size="80" value="<?php echo $feed;?>"><em></em></p></td>
		</tr>
		<!--tr!-->
			<!--textarea class="f11" name="embedcode" id="embedcode" rows="8" cols="78"!--><?php //echo $embedcode;?><!--/textarea!-->
		<!--/tr-->
		<tr>
			<td><p><strong>Message</strong><p><p><small>Optional. A text message to appear before the image in the email.</small></p></td>
			<td><textarea class="f11" name="message" id="message" rows="6" cols="78"><?php echo $message;?></textarea><em></em></p></td>
		</tr>
		<tr>
			<td><p><strong>Confirmation Message</strong><p><p><small>Optional. A text message to appear before the image in the confirmation email.</small></p></td>
			<td><textarea class="f11" name="confirmmessage" id="confirmmessage" rows="6" cols="78"><?php echo $confirmmessage;?></textarea><em></em></p></td>
		</tr>
		<tr>
			<td><p><strong>Recipients</strong><p><small>Enter predefined list of recipients, one per line as NAME, NAME@EXAMPLE.COM.<br />Only NAME will be visible to users. Leave blank for senders to enter any email address.</small></p></td>
			<td><textarea class="f11" name="recipients" id="recipients" rows="6" cols="78"><?php echo $recipients;?></textarea><em></em></p></td>
		</tr>
		<tr>
			<td><p><strong>Require From address:</strong></td>
<?php
	if ($requirefrom == "on") {
			echo '<td><input onChange="requireChange(this.checked)" checked name="requirefrom" type="checkbox" id="requirefrom" /> <em>&nbsp;&nbsp;&nbsp;&nbsp;a sender must enter a valid `From` address</em></p></td>';
	} else {
			echo '<td><input onChange="requireChange(this.checked)" name="requirefrom" type="checkbox" id="requirefrom" /> <em>&nbsp;&nbsp;&nbsp;&nbsp;a sender must enter a valid `From` address</em></p></td>';
	}
?>
		</tr>
		<tr>
			<td><p><strong>Validate From address:</strong></td>
<?php
	$validatefromcomment = '&nbsp;&nbsp;&nbsp;&nbsp;require a confirmation for user From address?</em></p></td>';
	if ($validatefrom == "on") {
			echo '<td><input checked name="validatefrom" type="checkbox" id="validatefrom" /> <em>' . $validatefromcomment . '</em></p></td>';
	} else {
			echo '<td><input name="validatefrom" type="checkbox" id="validatefrom" /> <em>' . $validatefromcomment . '</em></p></td>';
	}
?>
		</tr>
		<tr>
			<td><p><strong>Default From address:</strong></td>
			<td><input class="f11" name="from" type="text" id="from" value="<?php echo $defaultfrom;?>" size="25" /> <small>used if no email is required for senders and for confirmation emails</small></p></td>
		</tr>
		<tr>
			<td><p><strong>Email subject:</strong></td>
			<td><input class="f11" name="subject" type="text" id="subject" value="<?php echo $subject;?>" size="78" /> <em></em></p></td>
		</tr>
		<tr>
			<td><p><strong>Domain for images:</strong></td>
			<td><input class="f11" name="domain" type="text" id="domain" value="<?php echo $domain;?>" size="50" /> <small>use http://zetaprints.com if in doubt</small></p></td>
		</tr>
	</table>
	</fieldset>
</div>
<script type="text/javascript">
<!--
function requireChange(x) {
	//alert(x);
	if (x) {
		document.getElementById('validatefrom').disabled = false;
	} else {
		document.getElementById('validatefrom').checked = false;
		document.getElementById('validatefrom').disabled = true;
	}
}
requireChange(<?php echo $requirefrom; ?>) ;
//-->
</script>

<script>
//	['pid'] ['width'] ['height'] ['feed'] embedcode, ['message'] ['recipients'] ['requirefrom'] ['validatefrom'] ['from'] ['domain'] ['subject'] 
//function ecards_click(width, height, pid, feed, embedcode, message, recipients, domain, x, x, x ) {
function ecards_click( pid, width , height , feed , embedcode, message , recipients , requirefrom , validatefrom , from , domain , subject ) { 
siteurl = "<?php echo get_bloginfo('wpurl'); ?>";
//jQuery.post(siteurl+"/wp-admin/admin-ajax.php", {action:"ecards_ajax", 'cookie': encodeURIComponent(document.cookie), 'width':width, 'pid':pid, 'height':height, 'feed':feed, embedcode, 'message':message, 'recipients':recipients, 'domain':domain },
jQuery.post(siteurl+"/wp-admin/admin-ajax.php", {action:"ecards_ajax", 'cookie': encodeURIComponent(document.cookie), 'pid':pid, 'width':width, 'height':height, 'feed':feed, 'embedcode':embedcode, 'message':message, 'recipients':recipients, 'requirefrom':requirefrom, 'validatefrom':validatefrom, 'from':from, 'domain':domain, 'subject':subject },
 function(str)
{
      alert(str);
});
/*
function ecards_click(form) {
	//alert("form: " + form.width.value);
//settings = { 'width':form.width.value, 'pid':form.pid.value, 'height':form.height.value, 'feed':form.feed.value, 'message':form.message.value, 'recipients':form.recipients.value };
var settings = new Array();
//settings["width"]=form.width.value;
//settings["pid"]=form.pid.value; //, 'height':form.height.value, 'feed':form.feed.value, 'message':form.message.value, 'recipients':form.recipients.value };
//settings[0]=form.width.value;
//settings[1]=form.pid.value; //, 'height':form.height.value, 'feed':form.feed.value, 'message':form.message.value, 'recipients':form.recipients.value };
settings = [ form.width.value, form.pid.value, form.height.value, form.feed.value, form.message.value, form.recipients.value ];
alert("settings: " + settings);
jQuery.post(siteurl+"/wp-admin/admin-ajax.php", {action:"ecards_ajax", 'cookie': encodeURIComponent(document.cookie), 'settings':settings },
 function(str)
{
      alert(str);
});
 */
//document.post.submit();
}

</script>


<?php
}


